/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workprocesstype.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 过程控制类型Entity
 * @author 马鹏波
 * @version 2018-06-07
 */
public class WorkProcessDetail extends DataEntity<WorkProcessDetail> {
	
	private static final long serialVersionUID = 1L;
	private String processNumber;		// 表格编号
	private String processName;			// 过程名称
	private String companyId;			//公司编号
	private String state;				//状态
	private String typeId;				//从表主键
	
	public WorkProcessDetail() {
		super();
	}

	public WorkProcessDetail(String id){
		super(id);
	}

	@ExcelField(title="表格编号", align=2, sort=7)
	public String getProcessNumber() {
		return processNumber;
	}

	public void setProcessNumber(String processNumber) {
		this.processNumber = processNumber;
	}
	
	@ExcelField(title="过程名称", align=2, sort=8)
	public String getProcessName() {
		return processName;
	}

	public void setProcessName(String processName) {
		this.processName = processName;
	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getTypeId() {
		return typeId;
	}

	public void setTypeId(String typeId) {
		this.typeId = typeId;
	}
}